Package org.eclipse.cdt.core.parser

## Interface IPreprocessorDirective

    public interface IPreprocessorDirective

Constants for supported preprocessor directive types.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `ppDefine` Standard preprocessor directive `#define`.
`static int` `ppElif` Standard preprocessor directive `#elif`.
`static int` `ppElse` Standard preprocessor directive `#else`.
`static int` `ppEndif` Standard preprocessor directive `#endif`.
`static int` `ppError` Standard preprocessor directive `#error`.
`static int` `ppIf` Standard preprocessor directive `#if`.
`static int` `ppIfdef` Standard preprocessor directive `#ifdef`.
`static int` `ppIfndef` Standard preprocessor directive `#ifndef`.
`static int` `ppIgnore` Special constant indicating to ignore the preprocessor directive.
`static int` `ppImport` GNU preprocessor extension `#import`.
`static int` `ppInclude` Standard preprocessor directive `#include`.
`static int` `ppInclude_next` GNU preprocessor extension `#include_next`.
`static int` `ppInvalid` Special constant indicating to mark the preprocessor directive as invalid.
`static int` `ppPragma` Standard preprocessor directive `#pragma`.
`static int` `ppUndef` Standard preprocessor directive `#undef`.
`static int` `ppWarning` GNU preprocessor extension `#warning`.

### Field Detail

#### ppIgnore

    static final int ppIgnore

Special constant indicating to ignore the preprocessor directive.

See Also:
  Constant Field Values

#### ppInvalid

    static final int ppInvalid

Special constant indicating to mark the preprocessor directive as invalid.

See Also:
  Constant Field Values

#### ppIf

    static final int ppIf

Standard preprocessor directive `#if`.

See Also:
  Constant Field Values

#### ppIfdef

    static final int ppIfdef

Standard preprocessor directive `#ifdef`.

See Also:
  Constant Field Values

#### ppIfndef

    static final int ppIfndef

Standard preprocessor directive `#ifndef`.

See Also:
  Constant Field Values

#### ppElif

    static final int ppElif

Standard preprocessor directive `#elif`.

See Also:
  Constant Field Values

#### ppElse

    static final int ppElse

Standard preprocessor directive `#else`.

See Also:
  Constant Field Values

#### ppEndif

    static final int ppEndif

Standard preprocessor directive `#endif`.

See Also:
  Constant Field Values

#### ppInclude

    static final int ppInclude

Standard preprocessor directive `#include`.

See Also:
  Constant Field Values

#### ppDefine

    static final int ppDefine

Standard preprocessor directive `#define`.

See Also:
  Constant Field Values

#### ppUndef

    static final int ppUndef

Standard preprocessor directive `#undef`.

See Also:
  Constant Field Values

#### ppError

    static final int ppError

Standard preprocessor directive `#error`.

See Also:
  Constant Field Values

#### ppPragma

    static final int ppPragma

Standard preprocessor directive `#pragma`.

See Also:
  Constant Field Values

#### ppInclude_next

    static final int ppInclude_next

GNU preprocessor extension `#include_next`. Search include file after the directory of the current file.

See Also:
  Constant Field Values

#### ppImport

    static final int ppImport

GNU preprocessor extension `#import`. Include only once.

See Also:
  Constant Field Values

#### ppWarning

    static final int ppWarning

GNU preprocessor extension `#warning`. Similar to `#error`.

See Also:
  Constant Field Values